# Cards

## Endpoints

### Create a card

- [POST /v1/customers/:id/sources](https://docs.stripe.com/api/cards/create.md?api-version=2025-04-30.preview)

### Update a card

- [POST /v1/customers/:id/sources/:id](https://docs.stripe.com/api/cards/update.md?api-version=2025-04-30.preview)

### Retrieve a card

- [GET /v1/customers/:id/cards/:id](https://docs.stripe.com/api/cards/retrieve.md?api-version=2025-04-30.preview)

### List all cards

- [GET /v1/customers/:id/cards](https://docs.stripe.com/api/cards/list.md?api-version=2025-04-30.preview)

### Delete a card

- [DELETE /v1/customers/:id/sources/:id](https://docs.stripe.com/api/cards/delete.md?api-version=2025-04-30.preview)

You can store multiple cards on a customer in order to charge the customer later. You can also store multiple debit cards on a recipient in order to transfer to those cards later.

This API is deprecated. Use the [PaymentMethods API](https://docs.stripe.com/docs/api/payment_methods.md?api-version=2025-04-30.preview) instead.

Related guide: [Card payments with Sources](https://docs.stripe.com/docs/sources/cards.md?api-version=2025-04-30.preview)
